<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>Network Expander</title>
  <base href="/">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/vis-network/9.1.2/standalone/umd/vis-network.min.js"></script>
  <!--  <link rel="stylesheet" type="text/css" href="./stylesheets/default-theme.css">-->

</head>
<body>

<input type="checkbox" onclick=changeConfigStr('{"showOverview":'+this.checked+'}') checked/> Show overview<br>
<input type="checkbox" onclick=changeConfigStr('{"showQuery":'+this.checked+'}')> Show query<br>
<input type="checkbox" onclick=changeConfigStr('{"showItemSelector":'+this.checked+'}') checked/> Show ItemSelector<br>
<input type="checkbox" onclick=changeConfigStr('{"showConnectGenes":'+this.checked+'}')> Show Connect Genes<br>
<input type="checkbox" onclick=changeConfigStr('{"showSimpleAnalysis":'+this.checked+'}') checked/> Show Simple Analysis<br>
<input type="checkbox" onclick=changeConfigStr('{"showAdvAnalysis":'+this.checked+'}') checked/> Show Advanced
Analysis<br>
<input type="checkbox" onclick=changeConfigStr('{"showTasks":'+this.checked+'}') checked/> Show Tasks<br>
<input type="checkbox" onclick=changeConfigStr('{"showSelection":'+this.checked+'}') checked/> Show Selection<br>
<input type="checkbox" onclick=changeConfigStr('{"showNetworkMenu":'+this.checked+'}') checked/> Show Footer<br>
<input type="checkbox" onclick=changeConfigStr('{"showLegend":'+this.checked+'}') checked/> Show Legend<br>
<input type="checkbox" onclick=changeConfigStr('{"showNetworkMenuButtonScreenshot":'+this.checked+'}') checked/> Show
Screenshot button<br>
<input type="checkbox" onclick=changeConfigStr('{"showNetworkMenuButtonExportGraphml":'+this.checked+'}') checked/> Show
Export As Graphml Button<br>
<input type="checkbox" onclick=changeConfigStr('{"expandNetworkMenu":'+this.checked+'}') checked/> Expand network
menu<br>


<input id="new_color" type="text"/>
<button onclick=changeColor(document.getElementById("new_color").value)>Set Color</button>
<br>
<button onclick=changeConfigStr('{"legendPos":"left"}')> Legend to Left</button>
<br>
<button onclick=changeConfigStr('{"legendPos":"right"}')> Legend to Right</button>
<br>
<button onclick=changeConfigStr('{"interactions":"omnipath"}')>Get Omnipath Interactions</button>
<br>
<button onclick=changeConfigStr('{"showSidebar":false}')> Hide sidebar</button>
<br>
<button onclick=changeConfigStr('{"showSidebar":"left"}')> Mode sidebar to left</button>
<br>
<button onclick=changeConfigStr('{"showSidebar":"right"}')> Move sidebr to right</button>
<br>
<button onclick=changeConfigStr('{"showNetworkMenu":false}')> Hide networkMenu</button>
<br>
<button onclick=changeConfigStr('{"showNetworkMenu":"left"}')> Mode networkMenu to left</button>
<br>
<button onclick=changeConfigStr('{"showNetworkMenu":"right"}')> Move networkMenu to right</button>
<br>
<button onclick="initTaskEventListener()">Init Task-Eventlistener</button>
<br>

<input id="taskID" type="text"/>
<button onclick=loadTaskID(document.getElementById("taskID").value) class="button is-primary">Load TaskID</button>
<br>

<br>
<br>
<b>Datasets</b>
<input type="checkbox" onclick=changeLicenced(this.checked)> Use licenced datasets<br>
<div>
  <i>Protein-Protein Interactions</i>
  <select name="Protein-Protein Interactions" onchange="applyDataset('ppi-dataset')" id="ppi-dataset">
    <option value="NeDRex">NeDRex</option>
    <option value="STRING">STRING</option>
    <option value="biogrid">BioGRID</option>
    <option value="iid">IID</option>
    <option value="IntAct">IntAct</option>
    <option value="APID">APID</option>
  </select>
</div>
<div>
  <i>Drug-Protein Targets</i>
  <select name="Drug-Protein Targets" onchange="applyDataset('drpi-dataset')" id="drpi-dataset">
    <option value="NeDRex">NeDRex</option>
    <option value="DrugBank">DrugBank</option>
    <option value="Drug Central">Drug Central</option>
    <option value="ChEMBL">ChEMBL</option>
    <option value="DGIdb">DGIdb</option>
  </select>
</div>

<div>
  <i>Drug-Disorder Indications</i>
  <select name="Drug-Disorder Indications" onchange="applyDataset('drdi-dataset')" id="drdi-dataset">
    <option value="NeDRex">NeDRex</option>
    <option value="CTD">CTD</option>
    <option value="Drug Central">Drug Central</option>
    <option value="DrugBank">DrugBank</option>
  </select>
</div>
<div>
  <i>Protein-Disorder Associations</i>
  <select name="Protein-Disorder Associations" onchange="applyDataset('pdis-dataset')" id="pdis-dataset">
    <option value="NeDRex">NeDRex</option>
    <option value="DisGeNET">DisGeNET</option>
    <option value="omim">OMIM</option>
  </select>
</div>

<!--<input type="checkbox" onclick=changeConfigStr('{"showSimpleAnalysis":'+this.checked+'}') checked /> Show SimpleAnalysis<br>-->


<br>


<button onclick="setNetwork('netexp1')">Add nodes</button>

<div style="max-width: 80vw; width: 1276px; height: 500px">

   <!-- task-id="ks38WxeCSdbXk2cajKACinnUnCHWbf4I" -->
  <drugst-one id="netexp1"
              groups='{"nodeGroups":{"important":{"type":"gene","color":"#ff881f","font":{"color":"#000000"},"groupName":"Seed","shape":"star"},"gene":{"type":"gene","color":"#4da300","font":{"color":"#f0f0f0"},"groupName":"Discovered target","shape":"circle"},"foundDrug":{"type":"drug","color":"#F12590","font":{"color":"#000000"},"groupName":"Drug","shape":"diamond"}},"edgeGroups":{"default":{"color":"#000000","groupName":"default edge"}}}'
              config='{"customEdges":{"default":true, "selectable":false}, "showAdvAnalysisContent":["drug-search", "drug-target-search", "enrichment-gprofiler", "enrichment-digest", "search-ndex"],"identifier":"symbol","title":"ROBUST output network", "taskDrugName": "Drug search", "showLegendNodes": true, "showLegendEdges": true, "showSidebar": "left", "showOverview": true, "legendPos": "left", "legendClass": "legend", "showQuery": true, "showItemSelector": true,"showSimpleAnalysis": false,"showAdvAnalysis": true,"showSelection": true,"showTasks": true,"showNetworkMenu": "right","showLegend": true,"showNetworkMenuButtonExpression": true, "showNetworkMenuButtonScreenshot": true,"showNetworkMenuButtonExportGraphml": true,"showNetworkMenuButtonAdjacentDrugs": true,"showNetworkMenuButtonCenter": true,"showConnectGenes": false,"networkMenuButtonAdjacentDrugsLabel": "Drugs","showNetworkMenuButtonAdjacentDisordersProteins": true,"networkMenuButtonAdjacentDisordersProteinsLabel": "Disorders (protein)","showNetworkMenuButtonAdjacentDisordersDrugs": true,"networkMenuButtonAdjacentDisordersDrugsLabel": "Disorders (drug)","showNetworkMenuButtonAnimation": true,"networkMenuButtonAnimationLabel": "Animation", "autofillEdges": false, "physicsOn": false,"useNedrexLicenced": true,"selfReferences": false, "interactionDrugProtein": "NeDRex", "indicationDrugDisorder": "NeDRex","nodeShadow": true,"edgeShadow": true, "algorithms": {"drug": ["trustrank", "closeness", "degree", "proximity"], "drug-target": ["trustrank", "multisteiner", "keypathwayminer", "degree", "closeness", "betweenness"]}, "associatedProteinDisorder": "NeDRex",                                "nodeGroups":{"important":{"type":"gene","color":"#ff881f","font":{"color":"#000000"},"groupName":"Seed","shape":"star"},"gene":{"type":"gene","color":"#4da300","font":{"color":"#f0f0f0"},"groupName":"Discovered target","shape":"circle"},"foundDrug":{"type":"drug","color":"#F12590","font":{"color":"#000000"},"groupName":"Drug","shape":"diamond"}},"edgeGroups":{"default":{"color":"#000000","groupName":"default edge"}}}'
              network='{"nodes": [{"id": "DEFA1", "group": "gene"},{"id": "DEFA1", "group": "gene"}, {"id": "CST6", "group": "gene"}, {"id": "IGFBP2", "group": "gene"}, {"id": "TNFSF8", "group": "gene"}, {"id": "COPRS", "group": "gene"}, {"id": "AGT", "group": "important"}, {"id": "IL6", "group": "important"}, {"id": "A2M", "group": "gene"}, {"id": "NLRP3", "group": "important"}, {"id": "TLR4", "group": "important"}, {"id": "TNFSF9", "group": "gene"}, {"id": "RPL18", "group": "gene"}, {"id": "F5", "group": "gene"}, {"id": "IVL", "group": "gene"}, {"id": "IL6R", "group": "gene"}, {"id": "CPB2", "group": "gene"}, {"id": "CCDC8", "group": "gene"}, {"id": "SERPINB6", "group": "gene"}, {"id": "MBL2", "group": "important"}, {"id": "IL1B", "group": "important"}, {"id": "HIST1H3E", "group": "gene"}, {"id": "IL24", "group": "gene"}, {"id": "GSDMB", "group": "gene"}, {"id": "NOTCH2", "group": "gene"}, {"id": "F2", "group": "important"}, {"id": "CCR5", "group": "important"}, {"id": "SERPINB8", "group": "gene"}, {"id": "KRT1", "group": "gene"}, {"id": "IL1RN", "group": "important"}, {"id": "PLAT", "group": "gene"}, {"id": "URB1", "group": "gene"}, {"id": "FCF1", "group": "gene"}, {"id": "ACE", "group": "important"}, {"id": "THBS3", "group": "gene"}, {"id": "CALML3", "group": "gene"}, {"id": "PSMA5", "group": "gene"}, {"id": "NDUFA3", "group": "gene"}, {"id": "PARK2", "group": "gene"}, {"id": "FANCB", "group": "gene"}, {"id": "SERPINB2", "group": "gene"}, {"id": "KLRG2", "group": "gene"}, {"id": "FAM19A3", "group": "gene"}, {"id": "CRYZL1", "group": "gene"}, {"id": "HEATR1", "group": "gene"}, {"id": "IGHG2", "group": "gene"}, {"id": "C17orf70", "group": "gene"}, {"id": "TINAG", "group": "gene"}, {"id": "RSPRY1", "group": "gene"}, {"id": "TMPRSS11A", "group": "gene"}, {"id": "SLC18A1", "group": "gene"}, {"id": "PSMD1", "group": "gene"}, {"id": "PCDHB15", "group": "gene"}, {"id": "TSR3", "group": "gene"}, {"id": "FGL1", "group": "gene"}, {"id": "C7orf60", "group": "gene"}, {"id": "SSR3", "group": "gene"}, {"id": "REN", "group": "gene"}, {"id": "MYH14", "group": "gene"}, {"id": "TBCK", "group": "gene"}, {"id": "DARS", "group": "gene"}, {"id": "C16orf70", "group": "gene"}, {"id": "DQX1", "group": "gene"}, {"id": "RPL30", "group": "gene"}, {"id": "FBXO30", "group": "gene"}, {"id": "EPPK1", "group": "gene"}, {"id": "LAMA1", "group": "gene"}, {"id": "AP4E1", "group": "gene"}, {"id": "AP4S1", "group": "gene"}, {"id": "HIST1H1B", "group": "gene"}, {"id": "AFP", "group": "gene"}], "edges": [{"from": "DEFA1", "to": "PLAT", "group": "default"}, {"from": "DEFA1", "to": "IGFBP2", "group": "default"}, {"from": "CST6", "to": "FCF1", "group": "default"}, {"from": "CST6", "to": "NOTCH2", "group": "default"}, {"from": "IGFBP2", "to": "GSDMB", "group": "default"}, {"from": "TNFSF8", "to": "F5", "group": "default"}, {"from": "TNFSF8", "to": "TNFSF9", "group": "default"}, {"from": "COPRS", "to": "HIST1H3E", "group": "default"}, {"from": "COPRS", "to": "IL6R", "group": "default"}, {"from": "AGT", "to": "ACE", "group": "default"}, {"from": "AGT", "to": "GSDMB", "group": "default"}, {"from": "AGT", "to": "NDUFA3", "group": "default"}, {"from": "AGT", "to": "REN", "group": "default"}, {"from": "IL6", "to": "IL6R", "group": "default"}, {"from": "A2M", "to": "IL1B", "group": "default"}, {"from": "A2M", "to": "CPB2", "group": "default"}, {"from": "NLRP3", "to": "URB1", "group": "default"}, {"from": "NLRP3", "to": "HIST1H1B", "group": "default"}, {"from": "TLR4", "to": "TNFSF9", "group": "default"}, {"from": "TNFSF9", "to": "KLRG2", "group": "default"}, {"from": "RPL18", "to": "FCF1", "group": "default"}, {"from": "RPL18", "to": "URB1", "group": "default"}, {"from": "F5", "to": "F2", "group": "default"}, {"from": "F5", "to": "CCDC8", "group": "default"}, {"from": "F5", "to": "KLRG2", "group": "default"}, {"from": "IVL", "to": "FCF1", "group": "default"}, {"from": "IVL", "to": "KRT1", "group": "default"}, {"from": "IL6R", "to": "FANCB", "group": "default"}, {"from": "IL6R", "to": "CRYZL1", "group": "default"}, {"from": "IL6R", "to": "C17orf70", "group": "default"}, {"from": "IL6R", "to": "TBCK", "group": "default"}, {"from": "CPB2", "to": "F2", "group": "default"}, {"from": "CPB2", "to": "TINAG", "group": "default"}, {"from": "CCDC8", "to": "HEATR1", "group": "default"}, {"from": "CCDC8", "to": "PSMD1", "group": "default"}, {"from": "CCDC8", "to": "DARS", "group": "default"}, {"from": "SERPINB6", "to": "F2", "group": "default"}, {"from": "SERPINB6", "to": "SERPINB8", "group": "default"}, {"from": "SERPINB6", "to": "TMPRSS11A", "group": "default"}, {"from": "SERPINB6", "to": "C16orf70", "group": "default"}, {"from": "MBL2", "to": "KRT1", "group": "default"}, {"from": "IL24", "to": "NOTCH2", "group": "default"}, {"from": "IL24", "to": "CCR5", "group": "default"}, {"from": "F2", "to": "PLAT", "group": "default"}, {"from": "CCR5", "to": "PSMA5", "group": "default"}, {"from": "CCR5", "to": "AFP", "group": "default"}, {"from": "SERPINB8", "to": "FCF1", "group": "default"}, {"from": "IL1RN", "to": "FCF1", "group": "default"}, {"from": "PLAT", "to": "SERPINB2", "group": "default"}, {"from": "PLAT", "to": "FGL1", "group": "default"}, {"from": "PLAT", "to": "LAMA1", "group": "default"}, {"from": "FCF1", "to": "CALML3", "group": "default"}, {"from": "FCF1", "to": "SERPINB2", "group": "default"}, {"from": "FCF1", "to": "IGHG2", "group": "default"}, {"from": "FCF1", "to": "MYH14", "group": "default"}, {"from": "FCF1", "to": "RPL30", "group": "default"}, {"from": "FCF1", "to": "EPPK1", "group": "default"}, {"from": "THBS3", "to": "NDUFA3", "group": "default"}, {"from": "THBS3", "to": "FANCB", "group": "default"}, {"from": "CALML3", "to": "PARK2", "group": "default"}, {"from": "PSMA5", "to": "PARK2", "group": "default"}, {"from": "PSMA5", "to": "HEATR1", "group": "default"}, {"from": "PSMA5", "to": "PSMD1", "group": "default"}, {"from": "PSMA5", "to": "DARS", "group": "default"}, {"from": "NDUFA3", "to": "SLC18A1", "group": "default"}, {"from": "NDUFA3", "to": "DQX1", "group": "default"}, {"from": "FAM19A3", "to": "CRYZL1", "group": "default"}, {"from": "RSPRY1", "to": "TMPRSS11A", "group": "default"}, {"from": "RSPRY1", "to": "SLC18A1", "group": "default"}, {"from": "PCDHB15", "to": "SSR3", "group": "default"}, {"from": "PCDHB15", "to": "TBCK", "group": "default"}, {"from": "TSR3", "to": "FGL1", "group": "default"}, {"from": "TSR3", "to": "C7orf60", "group": "default"}, {"from": "C7orf60", "to": "REN", "group": "default"}, {"from": "SSR3", "to": "MYH14", "group": "default"}, {"from": "C16orf70", "to": "FBXO30", "group": "default"}, {"from": "DQX1", "to": "FBXO30", "group": "default"}, {"from": "LAMA1", "to": "AP4E1", "group": "default"}, {"from": "AP4E1", "to": "AP4S1", "group": "default"}, {"from": "AP4S1", "to": "AFP", "group": "default"}]}'>
  </drugst-one>


<!--    <drugst-one id="netexp1"-->
<!--                  pluginId="2"-->
<!--                  groups='{"nodeGroups":{}}'-->
<!--                  config='{"identifier":"entrez","title":"Breast cancer example network","nodeShadow":true,"edgeShadow":false,"autofillEdges":true,"interactionProteinProtein":"STRING","selfReferences":false}'-->
<!--                  network='{"nodes":[{"id":"7040","label":"7040"}]}'>-->
<!--    </drugst-one>-->


  <!--ENSEMBL test-->
<!--    <drugst-one id="netexp1"-->
<!--                pluginId="2"-->
<!--                groups='{"nodeGroups":{"node":{"type":"Gene","color":"#0000FF","font":{"color":"#ffffff"},"groupName":"Node","shape":"ellipse"}, "gene":{"type":"Gene","color":"#CD5C5C","font":{"color":"#000000"},"groupName":"Gene","shape":"ellipse"}}}'-->
<!--                config='{"showSimpleAnalysis": true, "selfReferences": false, "licensedDatasets": false,"physicsOn":false,"identifier":"ensembl","title":"Breast cancer example network","nodeShadow":true,"edgeShadow":false,"autofillEdges":true,"showLegend":true}'-->
<!--                network='{"nodes":[{"id":"ENSG00000049768", "group": "gene", "label":"ENSG00000049768"},{"id":"ENSG00000185379","group":"gene","label":"ENSG00000185379"},{"id":"ENSG00000108384","group":"gene","label":"ENSG00000108384"},{"id":"ENSG00000138376","group":"gene","label":"ENSG00000138376"},{"id":"ENSG00000284792","group":"gene","label":"ENSG00000284792"},{"id":"ENSG00000171862","group":"gene","label":"ENSG00000171862"},{"id":"ENSG00000141510","group":"gene","label":"ENSG00000141510"}],"edges":[]}'>-->
<!--  </drugst-one>-->
<!--  <drugst-one id="netexp1"-->
<!--              pluginId="2"-->
<!--              groups='{"nodeGroups":{"protein":{"type":"Gene","color":"#CD5C5C","font":{"color":"#ffffff"},"groupName":"Gene","shape":"ellipse"}}}'-->
<!--              config='{"showSimpleAnalysis": true,"algorithms": {"drug": ["trustrank"]}, "selfReferences": false, "licensedDatasets": false,"physicsOn":false,"identifier":"uniprot","title":"Breast cancer example network","nodeShadow":true, "showAdvAnalysisContent":["drug-search","enrichment-gprofiler", "enrichment-digest"], "edgeShadow":false,"autofillEdges":true,"showLegend":true, "activateNetworkMenuButtonAdjacentDrugs":true,"activateNetworkMenuButtonAdjacentDisorderDrugs":true}'-->
<!--              network='{"nodes":[{"id":"P01137","group":"protein","label":"P01137"},{"id":"A0A499FJK2","group":"protein","label":"A0A499FJK2"},{"id":"Q9Y6G5","group":"protein","label":"Q9Y6G5"},{"id":"Q13873","group":"protein","label":"Q13873"},{"id":"P37023","group":"protein","label":"P37023"},{"id":"B7Z6Y5","group":"protein","label":"B7Z6Y5"},{"id":"J9PH39","group":"protein","label":"J9PH39"},{"id":"P51168","group":"protein","label":"P51168"},{"id":"P27037","group":"protein","label":"P27037"},{"id":"P17813","group":"protein","label":"P17813"},{"id":"Q9NSJ5","group":"protein","label":"Q9NSJ5"},{"id":"Q9UK05","group":"protein","label":"Q9UK05"},{"id":"B2R812","group":"protein","label":"B2R812"},{"id":"Q14CN2","group":"protein","label":"Q14CN2"},{"id":"B2RC63","group":"protein","label":"B2RC63"},{"id":"Q13705","group":"protein","label":"Q13705"},{"id":"D3DPA4","group":"protein","label":"D3DPA4"},{"id":"F5GX88","group":"protein","label":"F5GX88"},{"id":"Q9UJW0","group":"protein","label":"Q9UJW0"},{"id":"P12318","group":"protein","label":"P12318"},{"id":"P12643","group":"protein","label":"P12643"},{"id":"Q5T9B9","group":"protein","label":"Q5T9B9"},{"id":"P37088","group":"protein","label":"P37088"},{"id":"A0A0S2Z5D4","group":"protein","label":"A0A0S2Z5D4"},{"id":"A0A024R730","group":"protein","label":"A0A024R730"},{"id":"P13569","group":"protein","label":"P13569"},{"id":"Q75ME0","group":"protein","label":"Q75ME0"},{"id":"P51170","group":"protein","label":"P51170"},{"id":"Q04771","group":"protein","label":"Q04771"},{"id":"P19438","group":"protein","label":"P19438"},{"id":"A0A024R878","group":"protein","label":"A0A024R878"},{"id":"A5X2V1","group":"protein","label":"A5X2V1"},{"id":"Q96CG0","group":"protein","label":"Q96CG0"},{"id":"Q16623","group":"protein","label":"Q16623"}],"edges":[{"from":"DCTN4","to":"CFTR"},{"from":"STX1A","to":"SCNN1B","group":"default"},{"from":"SCNN1A","to":"SCNN1G","group":"default"},{"from":"SCNN1B","to":"SCNN1G","group":"default"}]}'>-->
<!--  </drugst-one>-->
</div>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>


<script>


  function changeConfig() {
    const netexp = document.getElementById('netexp1');
    netexp.setAttribute('config', '{"showLeftSidebar": false}');
  }

  function changeConfigStr(config) {
    const netexp = document.getElementById('netexp1');
    netexp.setAttribute('config', config);
  }

  function initTaskEventListener() {
    let color1 = '#c80bfd'
    document.getElementsByTagName("drugst-one")[0].addEventListener("taskEvent", (event) => {
      console.log(event.detail)
    })
  }


  function setNetwork(nw) {
    const netexp = document.getElementById(nw);

    netexp.setAttribute('network', JSON.stringify({
      nodes: [
        {
          name: "ENSG00000171862",
          id: "ENSG00000171862",
          group: "genes"
        }
      ],
      edges: []
    }));
  }

  function changeColor(hexacode) {
    console.log(hexacode)
    const elements_background_color = document.getElementsByClassName('is-primary');
    for (var i = 0; i < elements_background_color.length; i++) {
      elements_background_color[i].setAttribute('style', `background-color: ${hexacode} !important; color: white !important; border-color: ${hexacode} !important`);
    }
    const elements_text = document.getElementsByClassName('text-primary');
    for (var i = 0; i < elements_text.length; i++) {
      elements_text[i].setAttribute('style', `color: ${hexacode} !important`);
    }
  }

  function loadTaskID(token) {
    console.log("Trying to load " + token)
    const netexp = document.getElementById('netexp1');
    netexp.setAttribute('task-id', token);
  }

  function changeLicenced(licenced) {
    setAttribute('licensedDatasets', licenced)
  }

  function applyDataset(id) {
    if (!id || id === 'ppi-dataset') {
      let ppi = document.getElementById('ppi-dataset')
      setAttribute('interactionProteinProtein', ppi.options[ppi.selectedIndex].value)
    }
    if (!id || id === 'drpi-dataset') {
      let drpi = document.getElementById('drpi-dataset')
      setAttribute('interactionDrugProtein', drpi.options[drpi.selectedIndex].value)
    }
    if (!id || id === 'drdi-dataset') {
      let drdi = document.getElementById('drdi-dataset')
      setAttribute('indicationDrugDisorder', drdi.options[drdi.selectedIndex].value)
    }
    if (!id || id === 'pdis-dataset') {
      let pdis = document.getElementById('pdis-dataset')
      setAttribute('associatedProteinDisorder', pdis.options[pdis.selectedIndex].value)
    }
  }

  function setAttribute(name, value) {
    // console.log(event)
    console.log("Attribute " + name + " -> " + value)
    const netexp = document.getElementById('netexp1');
    config = JSON.parse(netexp.getAttribute('config'))
    config[name] = value
    changeConfigStr(JSON.stringify(config))
  }


</script>
</body>
</html>
<style>
  :root {
    /*--drgstn-font-family:Oxygen;*/
    /*--drgstn-panel: #000;*/
    /*--drgstn-text-primary: #fff;*/
  }
</style>

